<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Shipment Log</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content no-padding scrollY="true">
  <app-stepper
    *ngIf="element !== undefined"
    class="app-stepper"
    [element]="element"
    [isLoading]="!canConfirm"
    style="transform: translateY(150);"
  >
  </app-stepper>
  <div class="buttonNextContainer" padding *ngIf="element !== undefined">
    <ion-button
      color="success"
      (click)="nextState()"
      [class.button-animate]="element.state !== 6"
      *ngIf="element.state !== 6"
      [disabled]="!canConfirm"
    >
      <ion-icon name="checkmark-circle-outline" slot="end"></ion-icon>
      <ion-text>Confirm</ion-text>
    </ion-button>
    <ion-button fill="outline" color="tertiary" (click)="navigateDetail()">
      <ion-icon name="information-circle" slot="end"></ion-icon>
      <ion-text>Shipment detail</ion-text>
    </ion-button>
  </div>
</ion-content>
